---
title: XRViewport.x
slug: Web/API/XRViewport/x
tags:
  - API
  - AR
  - Coordinate
  - Position
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRViewport
  - augmented
  - left
  - origin
  - viewport
  - x
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The read-only {{domxref("XRViewport")}} interface's <code><strong>x</strong></code> property indicates the offset from the left edge of the destination surface (typically a {{domxref("XRWebGLLayer")}} to the left edge of the viewport within the surface into which WebXR content is to be rendered.</span> The viewport's {{domxref("XRViewport.y", "y")}} property identifies the <code>y</code> component of the origin, and its is given by the {{domxref("XRViewPort.width", "width")}} and {{domxref("XRViewport.height", "height")}} properties.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>x</em> = <em>xrViewport</em>.x;</pre>

<h3 id="Value">Value</h3>

<p>The offset from the left edge of the rendering surface to the left edge of the viewport, in pixels.</p>

<h2 id="Examples">Examples</h2>

<p>See the main {{domxref("XRViewport")}} page for examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrviewport-x","XRViewport.x")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRViewport.x")}}</div>
